HP Views Designer Assistant: MenuIconOptions Class Reference

| HP Views Designer Assistant 1.0.0 TFG - Alberto Gutierrez Perez - Universidad de Valladolid |

Public Member Functions | Private Slots | Private Member Functions | Private Attributes | List of all members
MenuIconOptions Class Reference

The MenuIconOptions class. More...

`#include <menuiconoptions.h>`

Inheritance diagram for MenuIconOptions:

## Public Member Functions

| MenuIconOptions (QWidget *parent=0)
| MenuIconOptions constructor. More...
void | setEnabledOptions (bool hasTitle, bool isAutomatic)
| setEnabledOptions Sets the enabled options. More...
void | setCurrentIcon (int iconRow, int iconCol)
| setCurrentIcon Sets the number of the current icon. More...
void | setProgress (int progress)
| setProgress Sets the progess of the create proccess. More...
QString | getIconTitle ()
| getIconTitle Returns the icon title. More...
void | clear ()
| clear Clears the inputs values.
void | setController (MenuScreenController *controller)
| setController Replaces the menu screen controller. More...
int | getTopMargin ()
| getTopMargin Returns the icon top margin. More...
int | getBottomMargin ()
| getBottomMargin Returns the icon bottom margin. More...
int | getLeftMargin ()
| getLeftMargin Returns the icon left margin. More...
int | getRigthMargin ()
| getRigthMargin Returns the icon right margin. More...
void | showError (QString error)
| showError Shows an error message. More...
void | showSuccess (QString success)
| showSuccess Shows a success message. More...
void | showInfo (QString info)
| showInfo Shows an information message. More...
QString | getIconImage ()
| getIconImage Returns the icon image path. More...
void | setIconInfo (QString iconPath, QString iconTitle, int top, int bottom, int left, int right)
| setIconInfo Shows the icon information. More...
Public Member Functions inherited from View
| View (QWidget *parent)
| View constructor. More...
void | show (QPoint position, QSize size)
| show Shows the view. More...

## Private Slots

void | on_browseBtn_clicked ()
| on_browseBtn_clicked This slot is executed when browse button is clicked.
void | on_helpBtn_clicked ()
| on_helpBtn_clicked This slot is executed when help button is clicked.
void | on_titleInput_textChanged ()
| on_titleInput_textChanged This slot is executed when title input is changed.
void | on_continueBtn_clicked ()
| on_continueBtn_clicked This slot is executed when continue button is clicked.
void | on_titleInput_editingFinished ()
| on_titleInput_editingFinished This slot is executed when title input is changed.
void | on_homeBtn_clicked ()
| on_homeBtn_clicked This slot is executed when home button is clicked.
void | on_settingsBtn_clicked ()
| on_settingsBtn_clicked This slot is executed when settings button is clicked.
void | on_topMarginInput_textEdited ()
| on_topMarginInput_textEdited This slot is executed when top margin input is changed.
void | on_rigthMarginInput_textEdited ()
| on_rigthMarginInput_textEdited This slot is executed when right margin input is changed.
void | on_bottomMarginInput_textEdited ()
| on_bottomMarginInput_textEdited This slot is executed when bottom margin input is changed.
void | on_leftMarginInput_textEdited ()
| on_leftMarginInput_textEdited This slot is executed when left margin input is changed.
void | on_plusrightBtn_clicked ()
| on_plusrightBtn_clicked This slot is executed when plus right margin button is clicked.
void | on_lessRightBtn_clicked ()
| on_lessRightBtn_clicked This slot is executed when less right margin button is clicked.
void | on_plusTopBtn_clicked ()
| on_plusTopBtn_clicked This slot is executed when plus top margin button is clicked.
void | on_lessTopBtn_clicked ()
| on_lessTopBtn_clicked This slot is executed when less top margin button is clicked.
void | on_plusLeftBtn_clicked ()
| on_plusLeftBtn_clicked This slot is executed when plus left margin button is clicked.
void | on_lessLeftBtn_clicked ()
| on_lessLeftBtn_clicked This slot is executed when less left margin button is clicked.
void | on_plusBottomBtn_clicked ()
| on_plusBottomBtn_clicked This slot is executed when plus bottom margin button is clicked.
void | on_lessBottomBtn_clicked ()
| on_lessBottomBtn_clicked This slot is executed when less bottom margin button is clicked.
void | on_hpIconBtn_clicked ()
| on_hpIconBtn_clicked This slot is executed when back button is clicked.

## Private Member Functions

void | setValidators ()
| setValidators Sets input validators.
void | initElements ()
| initElements Initialices the elements.
void | isFullFill ()
| isFullFill Checks if all of the elements have a value.
void | setToolTips ()
| setToolTips Sets the help of the screen buttons.
void | setIcon (QString path)
| setIcon Sets the icon image. More...

## Private Attributes

Ui::MenuIconOptions * | ui
| ui

## Additional Inherited Members

Protected Member Functions inherited from View
void | setIntValidators (QLineEdit *input, int min, int max)
| setIntValidators Sets a numeric validator to an input. More...
QString | selectImage ()
| selectImage Selects an system image. More...
int | checkNumberElements (int numberOfElements)
| checkNumberElements Checks if the number of elements are correct More...
QString | getRootHelpPath ()
| getRootHelpPath Returns the root help app path. More...
Protected Attributes inherited from View
QPoint | currentPosition
| currentPosition Current position of the view.
Controller * | controller
| controller Views controller.

## Detailed Description

The MenuIconOptions class.

## Constructor & Destructor Documentation

## ◆ MenuIconOptions()

MenuIconOptions::MenuIconOptions | ( | QWidget * | parent = `0` | ) |

explicit

MenuIconOptions constructor.

Parameters

  parent | Menu icon option parent.

## Member Function Documentation

## ◆ getBottomMargin()

int MenuIconOptions::getBottomMargin | ( |  | ) |

getBottomMargin Returns the icon bottom margin.

Returns
  Bottom margin.

## ◆ getIconImage()

QString MenuIconOptions::getIconImage | ( |  | ) |

getIconImage Returns the icon image path.

Returns
  Icon image path.

## ◆ getIconTitle()

QString MenuIconOptions::getIconTitle | ( |  | ) |

getIconTitle Returns the icon title.

Returns
  Icon title.

## ◆ getLeftMargin()

int MenuIconOptions::getLeftMargin | ( |  | ) |

getLeftMargin Returns the icon left margin.

Returns
  Left margin.

## ◆ getRigthMargin()

int MenuIconOptions::getRigthMargin | ( |  | ) |

getRigthMargin Returns the icon right margin.

Returns
  right margin.

## ◆ getTopMargin()

int MenuIconOptions::getTopMargin | ( |  | ) |

getTopMargin Returns the icon top margin.

Returns
  Top margin.

## ◆ setController()

void MenuIconOptions::setController | ( | MenuScreenController * | controller | ) |

setController Replaces the menu screen controller.

Parameters

  controller | Menu screen controller.

## ◆ setCurrentIcon()

void MenuIconOptions::setCurrentIcon | ( | int | iconRow,
|  | int | iconCol
| ) |  |

setCurrentIcon Sets the number of the current icon.

Parameters

  iconRow | Current icon row.
  iconCol | Current icon column.

## ◆ setEnabledOptions()

void MenuIconOptions::setEnabledOptions | ( | bool | hasTitle,
|  | bool | isAutomatic
| ) |  |

setEnabledOptions Sets the enabled options.

Parameters

  hasTitle | Wheter the interface has icon title.
  isAutomatic | Wheter the interface has automatic position.

## ◆ setIcon()

void MenuIconOptions::setIcon | ( | QString | path | ) |

private

setIcon Sets the icon image.

Parameters

  path | Icon image path.

## ◆ setIconInfo()

void MenuIconOptions::setIconInfo | ( | QString | iconPath,
|  | QString | iconTitle,
|  | int | top,
|  | int | bottom,
|  | int | left,
|  | int | right
| ) |  |

setIconInfo Shows the icon information.

Parameters

  iconPath | Icon image path.
  iconTitle | Icon title.
  top | Icon top margin.
  bottom | Icon bottom margin.
  left | Icon left margin.
  right | Icon right margin.

## ◆ setProgress()

void MenuIconOptions::setProgress | ( | int | progress | ) |

setProgress Sets the progess of the create proccess.

Parameters

  progress | Progress.

## ◆ showError()

void MenuIconOptions::showError | ( | QString | error | ) |

virtual

showError Shows an error message.

Parameters

  error | Message to show.

Implements View.

## ◆ showInfo()

void MenuIconOptions::showInfo | ( | QString | info | ) |

virtual

showInfo Shows an information message.

Parameters

  info | Message to show.

Implements View.

## ◆ showSuccess()

void MenuIconOptions::showSuccess | ( | QString | success | ) |

virtual

showSuccess Shows a success message.

Parameters

  success | Message to show.

Implements View.

The documentation for this class was generated from the following files:

- D:/Documentos/ViewDesignerAssistant/View/menuiconoptions.h
- D:/Documentos/ViewDesignerAssistant/View/menuiconoptions.cpp